For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate account level field definitions
      • DELDelete account level custom field definitions
      • GETList account level field definitions
      • PATCHUpdate account level custom field definitions

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceMetadata Fields

Create account level field definitions

POST
https://api.frame.io/v4/accounts/:account_id/metadata/field_definitions
POST
/v4/accounts/:account_id/metadata/field_definitions
1from frameio import Frameio, SelectDefinitionParamsFieldConfiguration, SelectDefinitionParamsFieldConfigurationOptionsItem
2from frameio.metadata_fields import CreateFieldDefinitionParamsData_Select
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.metadata_fields.metadata_field_definitions_create(
9 account_id="8615184d-5eec-49ef-911a-7b4afbe36ce1",
10 data=CreateFieldDefinitionParamsData_Select(
11 field_configuration=SelectDefinitionParamsFieldConfiguration(
12 options=[
13 SelectDefinitionParamsFieldConfigurationOptionsItem(
14 display_name="Option 1",
15 ),
16 SelectDefinitionParamsFieldConfigurationOptionsItem(
17 display_name="Option 2",
18 )
19 ],
20 enable_add_new=False,
21 ),
22 name="Fields definition name",
23 ),
24)
1{
2 "data": {
3 "field_type": "select",
4 "created_at": "2024-01-25T19:18:29.614189Z",
5 "creator_id": "7691308e-06ee-4f08-9adc-8a2d1a2a0acd",
6 "field_configuration": {
7 "options": [
8 {
9 "display_name": "Option 1",
10 "id": "f079de38-d268-4c62-8c4d-9a258b2efca2"
11 },
12 {
13 "display_name": "Option 2",
14 "id": "6288e75c-cff7-48cc-865f-71e0bebe9b16"
15 }
16 ],
17 "enable_add_new": false
18 },
19 "id": "f8357771-d1e0-4e57-b24d-bbe7907e85a0",
20 "mutable": true,
21 "name": "Fields definition name",
22 "updated_at": "2024-02-07T16:44:41.986478Z"
23 }
24}

Create account level field definitions.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Delete account level custom field definitions

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String

Request

Request body
dataobjectOptional

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

Created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error